---
title: Date.prototype.getFullYear()
slug: Web/JavaScript/Reference/Global_Objects/Date/getFullYear
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>getFullYear()</code></strong> method returns the year of the specified date according to local time.</p>

<p>Use this method instead of the {{jsxref("Date.prototype.getYear()", "getYear()")}} method.</p>

<div>{{EmbedInteractiveExample("pages/js/date-getfullyear.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getFullYear()</pre>

<h3 id="Return_value">Return value</h3>

<p>A number corresponding to the year of the given date, according to local time.</p>

<h2 id="Description">Description</h2>

<p>The value returned by <code>getFullYear()</code> is an absolute number. For dates between the years 1000 and 9999, <code>getFullYear()</code> returns a four-digit number, for example, 1995. Use this function to make sure a year is compliant with years after 2000.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getFullYear">Using getFullYear()</h3>

<p>The following example assigns the four-digit value of the current year to the variable <code>year</code>.</p>

<pre class="brush: js notranslate">var today = new Date();
var year = today.getFullYear();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getfullyear', 'Date.prototype.getFullYear')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getFullYear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.getYear()")}}</li>
</ul>
